Summary: mdadm is used for controlling Linux md devices (aka RAID arrays)
Name: mdadm
Version: 1.12.0
Release: 2tr
Source: http://www.cse.unsw.edu.au/~neilb/source/mdadm/mdadm-%{version}.tgz
Source1: md.initd
Source2: md.sysconfig
Patch0: mdadm-sendmail.patch
URL: http://www.cse.unsw.edu.au/~neilb/source/mdadm/
License: GPL
Group: Trustix Official
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: mdctl

%description 
mdadm is a program that can be used to create, manage, and monitor
Linux MD (Software RAID) devices.
As such is provides similar functionality to the raidtools packages.
The particular differences to raidtools is that mdadm is a single
program, and it can perform (almost) all functions without a
configuration file (that a config file can be used to help with
some common tasks).


%prep
%setup -q
%patch0 -p1
# we want to install in /sbin, not /usr/sbin...
%define _exec_prefix %{nil}


%build
make CFLAGS="$RPM_OPT_FLAGS" CXFLAGS="$RPM_OPT_FLAGS" SYSCONFDIR="%{_sysconfdir}"


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} BINDIR=%{_sbindir} install
#install -D -m 600 -o root -g root mdadm.conf-example $RPM_BUILD_ROOT/%{_sysconfdir}/mdadm.conf

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc TODO ChangeLog mdadm.conf-example COPYING
%{_sbindir}/mdadm
#%config(noreplace,missingok) %attr(600,root,root) %{_sysconfdir}/mdadm.conf
#%config(noreplace) /etc/sysconfig/md
%{_mandir}/man*/md*

%changelog
* Mon Jan 30 2006 Nived Gopalan <nived at trustix dot org> 1.12.0-2tr
- Added patch to fix sendmail path, Bug #1596.

* Mon Jun 20 2005 Nived Gopalan <nived at comodo dot com> 1.12.0-1tr
- New upstream

* Fri Mar 18 2005 Lakshmi Dinamoni <lakshmi at comodo dot com> 1.9.0-2tr
- Rebuild for glibc-2.3.4-6tr

* Thu Feb 24 2005 Raghu <raghu at comodo dot com> 1.9.0-1tr
- New Upstream

* Thu Sep 23 2004 Nageswara Sastry <nageswara at comodo dot com> 1.7.0-1tr
- Upgraded to version 1.7.0-1tr from 1.5.0-3tr

* Wed Feb 11 2004 Omar Kilani <ok at trustix dot org> 1.5.0-1ok
- New upstream.

* Tue Dec  9 2003 Erlend Midttun <erlendbm at trustix dot org> 1.4.0-1tr
- New upstream.

* Tue Aug 19 2003 Chr. Toldnes <christht at trustix dot com> 1.3.0-2tr
- Rebuilt and retagged

* Mon Aug 18 2003 Omar Kilani <ok@mailcall.com.au> 1.3.0-1ok
- new upstream: 1.3.0, allows creation of very large md devices.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.2.0-5tr
- Big rebuild

* Wed May 28 2003 Tore Olsen <toreo at trustix dot com> mdadm1.2.0-4to
- Removed init script, it's done in rc.sysinit now.

* Wed May 28 2003 Roland Kruse <rolandk at trustix dot com> mdadm-1.2.0-3rk
- Don't provide /etc/sysconfig/md; set up by anaconda

* Thu May 22 2003 Goetz Bock <bock at trustix dot org> mdadm-1.2.0-2bg
- moved init scripts to this package
- updated Group

* Mon May 19 2003 Goetz Bock <bock at trustix dot org> mdadm-1.2.0-1bg
- new upstream: 1.2.0
- no longer copy the config example as actual config

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.1-3em
- Rebuilt against glibc 2.3.2.

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> 1.0.1-2h
- Fixed package Group

* Thu Jun 06 2002 Goetz Bock <bock@blacknet.de> 1.0.1-1bg
- new upstream version: 1.0.1
- cleaned up %install, as makefile now has install target  

* Thu Mar 21 2002 Goetz Bock <bock@blacknet.de> 0.7.2-2bn
- moved mdadm to /sbin, it is required to boot

* Thu Mar 21 2002 Goetz Bock <bock@blacknet.de> 0.7.2-1bn
- updated to 0.7.2
- sanitycheck for %clean and %install
- fixed type in $RPM_BUILD_ROOT, and some other mixups of % and $
 
* Fri Mar 15 2002  <gleblanc@localhost.localdomain>
- beautification
- made mdadm.conf non-replaceable config
- renamed Copyright to License in the header
- added missing license file
- used macros for file paths

* Fri Mar 15 2002 Luca Berra <bluca@comedia.it>
- Added Obsoletes: mdctl
- missingok for configfile

* Wed Mar 12 2002 NeilBrown <neilb@cse.unsw.edu.au>
- Add md.4 and mdadm.conf.5 man pages

* Fri Mar 08 2002		Chris Siebenmann <cks@cquest.utoronto.ca>
- builds properly as non-root.

* Fri Mar 08 2002 Derek Vadala <derek@cynicism.com>
- updated for 0.7, fixed /usr/share/doc and added manpage

* Tue Aug 07 2001 Danilo Godec <danci@agenda.si>
- initial RPM build
